Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.jbi
Class OdeConfigProperties

    java.lang.Object
      org.apache.ode.il.config.OdeConfigProperties
          org.apache.ode.jbi.OdeConfigProperties

    public class OdeConfigProperties

extends OdeConfigProperties

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.ode.il.config.OdeConfigProperties
`OdeConfigProperties.DatabaseMode`

Field Summary
`static java.lang.String` | `CONFIG_FILE_NAME`

Fields inherited from class org.apache.ode.il.config.OdeConfigProperties
`DEFAULT_TX_FACTORY_CLASS_NAME, PROP_CONNECTOR_NAME, PROP_CONNECTOR_PORT, PROP_DAOCF, PROP_DB_EMBEDDED_NAME, PROP_DB_EXTERNAL_DS, PROP_DB_INTERNAL_DRIVER, PROP_DB_INTERNAL_PASSWORD, PROP_DB_INTERNAL_URL, PROP_DB_INTERNAL_USER, PROP_DB_LOGGING, PROP_DB_MODE, PROP_DB_POOL_BLOCKING, PROP_EVENT_LISTENERS, PROP_MEX_INMEM_TTL, PROP_MEX_INTERCEPTORS, PROP_POOL_MAX, PROP_POOL_MIN, PROP_PROCESS_DEHYDRATION, PROP_PROCESS_DEHYDRATION_MAXIMUM_AGE, PROP_PROCESS_DEHYDRATION_MAXIMUM_COUNT, PROP_PROCESS_HYDRATION_LAZY, PROP_PROCESS_HYDRATION_LAZY_MINIMUM_SIZE, PROP_PROCESS_HYDRATION_THROTTLED_MAXIMUM_COUNT, PROP_PROCESS_HYDRATION_THROTTLED_MAXIMUM_SIZE, PROP_PROCESS_INSTANCE_THROTTLED_MAXIMUM_COUNT, PROP_THREAD_POOL_SIZE, PROP_TX_FACTORY_CLASS, PROP_WORKING_DIR`

Constructor Summary
`OdeConfigProperties(java.io.File cfgFile)`

Method Summary
`boolean` | `getAllowIncompleteDeployment()`
`java.lang.String[]` | `getMessageMappers()` Get the mapper to use for converting message to/from NMS format.
`java.lang.String` | `getPidNamespace()` Get the namespace that should be used to generate process identifiers (PIDs).

Methods inherited from class org.apache.ode.il.config.OdeConfigProperties
`getConnectorName, getConnectorPort, getDAOConnectionFactory, getDbDataSource, getDbEmbeddedName, getDbIntenralJdbcUrl, getDbInternalJdbcDriverClass, getDbInternalPassword, getDbInternalUserName, getDbMode, getDehydrationMaximumAge, getDehydrationMaximumCount, getEventListeners, getFile, getHydrationLazyMinimumSize, getInMemMexTtl, getInstanceThrottledMaximumCount, getMessageExchangeInterceptors, getPoolBlocking, getPoolMaxSize, getPoolMinSize, getProcessThrottledMaximumCount, getProcessThrottledMaximumSize, getProperties, getProperty, getProperty, getThreadPoolMaxSize, getTxFactoryClass, getWorkingDir, isDbLoggingEnabled, isDehydrationEnabled, isHydrationLazy, isProcessSizeThrottled, load`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONFIG_FILE_NAME

    public static final java.lang.String CONFIG_FILE_NAME

See Also:
  Constant Field Values

Constructor Detail

### OdeConfigProperties

    public OdeConfigProperties(java.io.File cfgFile)

Method Detail

### getPidNamespace

    public java.lang.String getPidNamespace()

  Get the namespace that should be used to generate process identifiers (PIDs). The local part of the PID will be the service unit id.

  Returns:

### getAllowIncompleteDeployment

    public boolean getAllowIncompleteDeployment()

### getMessageMappers

    public java.lang.String[] getMessageMappers()

  Get the mapper to use for converting message to/from NMS format.

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD